Skip to main content
GET
/
v1
/
unit_groups
/
{id}
Retrieve a unit group
curl --request GET \
  --url https://api.yorlet.com/v1/unit_groups/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "created": 123,
  "object": "unit_group",
  "building": {
    "id": "<string>",
    "created": 123,
    "object": "building",
    "active": true,
    "address": {
      "line1": "<string>",
      "line2": "<string>",
      "city": "<string>",
      "country": "<string>",
      "postal_code": "<string>",
      "state": "<string>"
    },
    "currency": "<string>",
    "description": "<string>",
    "marketing": {
      "featured_photo": "<string>",
      "photos": [
        "<string>"
      ]
    },
    "name": "<string>",
    "removable": true,
    "single_unit": true,
    "unit_fees": {
      "management_fee": 123,
      "management_fee_amount": 123,
      "management_fee_discount": {
        "end": 123,
        "percent_off": 123
      },
      "renewal_fee": 123,
      "rent_review_fee": 123,
      "tax": 123,
      "tenant_find_fee": 123,
      "updated_at": 123
    },
    "account": "<string>",
    "deleted": false,
    "metadata": {}
  },
  "description": "<string>",
  "name": "<string>",
  "account": "<string>",
  "deleted": false,
  "metadata": {}
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

Returns a unit group object if a valid identifier was provided.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
unit_group
building
required

The building the unit group belongs to.

description
string | null
required

An arbitrary description attached to the unit group.

name
string
required

The name of the unit group.

account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.